#ifndef __TEXT_H__
#define __TEXT_H__

#include "scene.h"
#include <SDL2/SDL_ttf.h>


typedef struct {
    int x;
    int y;
    int z;
} Position;

int text_renderText(RenderObject_t* renderObject, int z, float scale, SDL_Color color, const char* fontFilename, int fontSize, char* format, ...);
void text_freeFontCache(void);

#endif
